
TYPO3.Flow - Bug # 33297

Status: Closed Priority: Won't have this time
Author: Christopher Seidel Category:
Created: 2012-01-18 Assigned To: Karsten Dambekalns
Updated: 2012-03-10 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: FLOW3 1.0.2
Subject: flow3 package:list throws an error
Description

Hi together,

thanks for FLOW3. I'm developing for about one year with it and now i discovered a bug which is not an open task, or maybe i just
didn't find it. If you use the ./flow3 package:list to list the packages on the system it throws an error if there is somewhere a file with
"#". Of course this is not normal but it throws the following:

Uncaught Exception
  opendir(/var/www/Packages/Application/Seidel.Buecherliste/Resources/Public/Images):
  failed to open dir: Too many open files

More Information
  Exception code      #0
  File               
/var/www/Data/Temporary/Development/Cache/Code/FLOW3_Object_Classes/TYPO3_FLOW3_Resource_Streams_ResourceStreamWrapper_Original.php 
Wrapper_Original.php line 87

Thanks so far for your work!

History
#1 - 2012-03-07 17:42 - Karsten Dambekalns
- Status changed from New to Needs Feedback
- Assigned To set to Karsten Dambekalns

Could you give me some more details to reproduce this? Like an offending filename? Thanks!

#2 - 2012-03-07 18:14 - Christopher Seidel

Yes just like:

#test.html

or something similar

#3 - 2012-03-07 20:55 - Karsten Dambekalns
- Status changed from Needs Feedback to Accepted

2015-08-03 1/3



#4 - 2012-03-07 21:39 - Karsten Dambekalns
- Status changed from Accepted to Needs Feedback

I created a file named #test.html in the public resources folder and called package:list - worked fine. I suspect a different problem, as failed to open dir:
Too many open files also hints at something different.

Does this only happen with package:list or also other commands?

#5 - 2012-03-09 18:55 - Christian Müller

Maybe a bug in a specific PHP version causing some overflow (Too many open files) when there is a file with #?

Karsten Dambekalns wrote:

I created a file named #test.html in the public resources folder and called package:list - worked fine. I suspect a different problem, as failed to open
dir: Too many open files also hints at something different.

Does this only happen with package:list or also other commands?

#6 - 2012-03-09 18:57 - Christian Müller

Could you tell us the used PHP version and the amount of files and directories in this folder? And additionally try a simple test script directly in this
folder, something like:

<?php

$handle = opendir(__DIR__);
if ($handle !== FALSE) {
    while (($file = readdir($handle)) !== false) {
        echo "filename: $file ". "\n";
    }
}
?>

#7 - 2012-03-10 10:18 - Christopher Seidel

Well, i updated apache2, PHP and FLOW3 Versions last weeks and now the error doesnt occur anymore :/

I will try to produce this error again

#8 - 2012-03-10 11:32 - Karsten Dambekalns
- Status changed from Needs Feedback to Closed
- Priority changed from Should have to Won't have this time
That matches my expectations to a large degree - sounded like something not really related to our code.

Have fun without the bug! ;)
